% File to create a Kiefer-Vogelsang type tex table:
% 
% Calls the procedure: table_tex.m
%

% Path in which directory stuff is saved:
path_out = pwd;

% File-Name for output depends upon which tables to be done:
output_file='TwostepQuadSpec';      

% Control of deterministics and type:

%typus = 'coeff'; % typus is either 't' or 'coeff';
typus = 't';

%deter = -1; % deter = -1, 0, 1;

for deter = -1:1;  % Loop around deterministics

% Column_heading only for first block:
col_heading = char('0.02', '0.04', '0.06', '0.08', '0.10', '0.12', '0.14', '0.16', '0.18', '0.20');
% Number of columns:
nc = 10;

% Row heading: 5 block rows altogether:
row_headbase = char('90\%', '95\%', '97.5\%', '99\%');
row_heading = [row_headbase; row_headbase; row_headbase; row_headbase; row_headbase];

% Font:
font = '%6.4f';

% Loading of the Matlab file to be transformed into table:

% With the load command I have to be in the proper directory - otherwise a
% structure is loaded. This is a problem to be solved for automatic table
% creation: 

if typus == 't';

if deter == -1;
    load Twostep_KV_QS_FB_PP_t_1000_none;
    data = Twostep_KV_QS_FB_PP_t_1000_none;
elseif deter == 0;
    load Twostep_KV_QS_FB_PP_t_1000_inter;
    data = Twostep_KV_QS_FB_PP_t_1000_inter;
elseif deter == 1;
    load Twostep_KV_QS_FB_PP_t_1000_trend;
    data = Twostep_KV_QS_FB_PP_t_1000_trend;
end;

elseif typus == 'coeff';
    
if deter == -1;
    load Twostep_KV_QS_FB_PP_coeff_1000_none;
    data = Twostep_KV_QS_FB_PP_coeff_1000_none;
elseif deter == 0;
    load Twostep_KV_QS_FB_PP_coeff_1000_inter;
    data = Twostep_KV_QS_FB_PP_coeff_1000_inter;
elseif deter == 1;
    load Twostep_KV_QS_FB_PP_coeff_1000_trend;
    data = Twostep_KV_QS_FB_PP_coeff_1000_trend;
end;

end;

% Completion of variables definition:
TextFile=fopen([path_out output_file '.tex'],'a'); 

if typus == 'coeff';
    
  if deter == -1;
  caption=['Fixed-b critical values for coefficient test for Quadratic Spectral kernel. No deterministic components. 2-step detrending'];
  elseif deter == 0;
  caption=['Fixed-b critical values for coefficient test for Quadratic Spectral kernel. Intercept.  2-step detrending'];
  elseif deter == 1;
  caption=['Fixed-b critical values for coefficient test for Quadratic Spectral kernel. Intercept and linear trend.  2-step detrending'];
  end;

elseif typus == 't';
    
  if deter == -1;
  caption=['Fixed-b critical values for t-test for Quadratic Spectral kernel. No deterministic components.  2-step detrending'];
  elseif deter == 0;
  caption=['Fixed-b critical values for t-test for Quadratic Spectral kernel. Intercept. 2-step detrending'];
  elseif deter == 1;
  caption=['Fixed-b critical values for t-test for Quadratic Spectral kernel. Intercept and linear trend. 2-step detrending'];
  end;
  
end;

table_tex(data,font,row_heading,col_heading,nc,path_out,TextFile,caption);

% Close the output file:
fclose('all');


end; 